using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class Admin_frmUpdateUsers : System.Web.UI.Page
{
    clsUserRoles objRoles = new clsUserRoles();
    clsUserDetails objUser = new clsUserDetails(); 
    protected void Page_Load(object sender, EventArgs e)
    {
        if (Request["userId"] == null)
        {
            Response.Redirect("~/Admin/frmManageUsers.aspx");  
        }
        try
        {
            if (!IsPostBack)
            {
                GetUserDetails(); 
                GetRoleIds(); 
            }
        }
        catch(Exception ex)
        {
            lblMsg.Visible = true;
            lblMsg.Text = ex.Message;   
        }
    }
    public void GetRoleIds()
    {
        DataSet dsRoles = objRoles.GetRoleId();
        if (dsRoles.Tables[0].Rows.Count > 0)
        {
            ddlRoleId.DataTextField = "RoleName";
            ddlRoleId.DataValueField = "RoleId";
            ddlRoleId.DataSource = dsRoles.Tables[0];
            ddlRoleId.DataBind();
            ddlRoleId.Items.Insert(0, "Select");   
        }
    }
    public void GetUserDetails()
    {
        objUser.UserId = Convert.ToInt32(Request["userId"].ToString());
        DataSet dsUser = objUser.DisplayUserById();
        if (dsUser.Tables[0].Rows.Count > 0)
        {
            DataRow dr = dsUser.Tables[0].Rows[0];
            txtUserId.Text = dr[0].ToString();
            txtFName.Text = dr[1].ToString();
            txtQualification.Text = dr[2].ToString();
            txtDesignation.Text = dr[3].ToString();
            txtAddress.Text = dr[4].ToString();
            txtEmail.Text = dr[5].ToString();
            txtContactNo.Text = dr[6].ToString();   
        }

    }
    public void UpdateUserDetails()
    {
        if (ddlRoleId.SelectedItem.Text != "Select")
        {
            objUser.UserId = Convert.ToInt32(txtUserId.Text);
            objUser.FirstName = txtFName.Text;
            objUser.Qualification = txtQualification.Text;
            objUser.Desgination = txtDesignation.Text;
            objUser.Address = txtAddress.Text;
            objUser.EmailId = txtEmail.Text;
            objUser.ContactNo = txtContactNo.Text.Trim();
            objUser.RoleId = Convert.ToInt32(ddlRoleId.SelectedValue);
            objUser.UpdateUserDetails();
        }
        else
        {
            lblMsg.Visible = true;
            lblMsg.Text = "Select Role";
        }
    }
    protected void btnSubmit_Click(object sender, EventArgs e)
    {
        try
        {
            UpdateUserDetails();
            Page.RegisterClientScriptBlock("Dhanush", "<script>alert('Update Successfully')</script>");
            btnClear_Click(sender, e);
        }
        catch (Exception ex)
        {
            lblMsg.Visible = true;
            lblMsg.Text = ex.Message;
        }
    }
    protected void btnClear_Click(object sender, EventArgs e)
    {
        txtUserId.Text = "";
        txtFName.Text ="";
        txtQualification.Text ="";
        txtDesignation.Text ="";
        txtAddress.Text ="";
        txtEmail.Text ="";
        txtContactNo .Text ="";
        ddlRoleId.SelectedIndex = 0;
        lblMsg.Text = "";

    }
}
