using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class Operators_frmReportDefect : System.Web.UI.Page
{
    clsLogin objLogin = new clsLogin();
    clsSoftware objSoft = new clsSoftware();
    clsModules objModules = new clsModules();
    clsDefects objDefects = new clsDefects();
    protected void Page_Load(object sender, EventArgs e)
    {
        try
        {
            if (!IsPostBack)
            {
                GetUserAccountId();
                GetSoftWareId();
                GetDefectTypeName();
            }
        }
        catch (Exception ex)
        {
            lblMsg.Visible = true;
            lblMsg.Text = ex.Message.ToString();
        }

    }
    public void GetUserAccountId()
    {
        objLogin.UserName = Session["UserName"].ToString();
        DataSet dsUserAccountId = objLogin.GetUserAccountId();
        if (dsUserAccountId.Tables[0].Rows.Count > 0)
        {
            txtUserId.Text = dsUserAccountId.Tables[0].Rows[0][0].ToString();
        }
    }
    public void GetSoftWareId()
    {
        DataSet dsSoftId = objSoft.GetSoftwareId();
        if (dsSoftId.Tables[0].Rows.Count > 0)
        {
            ddlSoftWareId.DataTextField = "SoftWareId";
            ddlSoftWareId.DataValueField = "SoftWareId";
            ddlSoftWareId.DataSource = dsSoftId.Tables[0];
            ddlSoftWareId.DataBind();
            ddlSoftWareId.Items.Insert(0, "Select");

        }
    }
    protected void ddlSoftWareId_SelectedIndexChanged(object sender, EventArgs e)
    {
        try
        {
            ddModuleName.Items.Clear();
            if (ddlSoftWareId.SelectedItem.Text != "Select")
            {
                objModules.SoftWareId = ddlSoftWareId.SelectedItem.Text;
                DataSet dsModule = objModules.GetModuleIdBySoftWareId();
                if (dsModule.Tables[0].Rows.Count > 0)
                {
                    ddModuleName.DataTextField = "Name";
                    ddModuleName.DataValueField = "ModuleId";
                    ddModuleName.DataSource = dsModule.Tables[0];
                    ddModuleName.DataBind();
                    ddModuleName.Items.Insert(0, "Select");
                }

            }
            else
            {
                Page.RegisterClientScriptBlock("Dhanush", "<script>alert('Select SoftWareId')</script>");
            }
        }
        catch (Exception ex)
        {
            lblMsg.Visible = true;
            lblMsg.Text = ex.Message.ToString();
        }
    }
    protected void ddModuleName_SelectedIndexChanged(object sender, EventArgs e)
    {
        try
        {
            txtModuleId.Text = "";

            if (ddModuleName.SelectedItem.Text != "Select")
            {
                txtModuleId.Text = ddModuleName.SelectedItem.Value.ToString();
            }
            else
            {
                Page.RegisterClientScriptBlock("Dhanush", "<script>alert('Select ModuleName')</script>");
            }
        }
        catch (Exception ex)
        {
            lblMsg.Visible = true;
            lblMsg.Text = ex.Message.ToString();
        }
    }
    public void GetDefectTypeName()
    {
        DataSet dsDefectName = objDefects.GetDefectName();
        if (dsDefectName.Tables[0].Rows.Count > 0)
        {
            ddlDefectName.DataTextField = "DefectTypeName";
            ddlDefectName.DataValueField = "DefectTypeId";
            ddlDefectName.DataSource = dsDefectName.Tables[0];
            ddlDefectName.DataBind();
            ddlDefectName.Items.Insert(0, "Select");
        }

    }
    protected void ddlDefectName_SelectedIndexChanged(object sender, EventArgs e)
    {
        try
        {
            txtDefectTypeId.Text = "";
            if (ddlDefectName.SelectedItem.Text != "Select")
            {
                txtDefectTypeId.Text = ddlDefectName.SelectedItem.Value.ToString();
            }
            else
            {
                Page.RegisterClientScriptBlock("Dhanush", "<script>alert('Select Defect Name')</script>");
            }
        }
        catch (Exception ex)
        {
            lblMsg.Visible = true;
            lblMsg.Text = ex.Message.ToString();
        }
    }
    public void InsertDefect()
    {
        objDefects.UserAccountId = Convert.ToInt32(txtUserId.Text.Trim());
        objDefects.SoftWareId = ddlSoftWareId.SelectedItem.Text;
        objDefects.ModuleId = Convert.ToInt32(txtModuleId.Text.Trim());
        objDefects.ModuleName = ddModuleName.SelectedItem.Text;
        objDefects.Description = txtDescription.Text;
        objDefects.DefectTypeId = Convert.ToInt32(txtDefectTypeId.Text.Trim());
        objDefects.TypeName = ddlDefectName.SelectedItem.Text.Trim();
        objDefects.InsertDefectDetails();

    }
    protected void btnSubmit_Click(object sender, EventArgs e)
    {
        try
        {
            InsertDefect();
            Page.RegisterClientScriptBlock("Dhanush", "<script>alert('Report Send Successfully')</script>");
            Clear();
        }
        catch (Exception ex)
        {
            lblMsg.Visible = true;
            lblMsg.Text = ex.Message.ToString();
        }
    }
    public void Clear()
    {
        ddlDefectName.SelectedIndex = 0;
        ddlSoftWareId.SelectedIndex = 0;
        txtDefectTypeId.Text = "";
        txtDescription.Text = "";
        txtModuleId.Text = "";
        ddModuleName.SelectedIndex = 0;

    }
    protected void ddlPriority_SelectedIndexChanged(object sender, EventArgs e)
    {
        try
        {
            if (ddlPriority.SelectedItem.Text != "select")
            {
                if (ddlPriority.SelectedIndex == 1)
                {
                    Page.RegisterClientScriptBlock("Dhanush", "<script>alert('Normal Defect')</script>");
                }
                else if (ddlPriority.SelectedIndex == 2)
                {
                    Page.RegisterClientScriptBlock("Dhanush", "<script>alert('Average ')</script>");
                }
                else if (ddlPriority.SelectedIndex == 3)
                {
                    Page.RegisterClientScriptBlock("Dhanush", "<script>alert('High Priority')</script>");
                }
            }
            else
            {
                Page.RegisterClientScriptBlock("Dhanush", "<script>alert('Set Priority')</script>");
            }

        }
        catch (Exception ex)
        {
            lblMsg.Text = ex.Message;
            lblMsg.Visible = true;
        }
    }
}
