using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class Reports_frmDefectsReport : System.Web.UI.Page
{
    clsReports objReport = new clsReports();
    protected void Page_Load(object sender, EventArgs e)
    {
        try
        {
            if (!IsPostBack)
            {
                GetDefectReport();
            }
        }
        catch (Exception ex)
        {
            lblMsg.Visible = true;
            lblMsg.Text = ex.Message.ToString();
        }

    }
    public void GetDefectReport()
    {
        DataSet dsReport = objReport.ReportForDefects();
        if(dsReport.Tables [0].Rows .Count >0)
        {
            btnExcelReport.Visible = true;
            btnPdf.Visible = true;  
            GVDefects.DataSource =dsReport.Tables[0];
            GVDefects.DataBind ();
        }
    }
    protected void GVDefects_PageIndexChanging(object sender, GridViewPageEventArgs e)
    {
        try
        {
            GVDefects.PageIndex = e.NewPageIndex;
            GetDefectReport();
        }
        catch (Exception ex)
        {
            lblMsg.Visible = true;
            lblMsg.Text = ex.Message.ToString();
        }

    }
    protected void btnExcelReport_Click(object sender, EventArgs e)
    {
        try
        {
            Response.Clear();
            Response.AddHeader("content-disposition", "attachment;filename=DocumentReport.xls");
           
            Response.Charset = "";
            Response.Cache.SetCacheability(HttpCacheability.NoCache);
            Response.ContentType = "application/vnd.ms-excel";
            System.IO.StringWriter stringWrite = new System.IO.StringWriter();
            System.Web.UI.HtmlTextWriter htmlWrite = new HtmlTextWriter(stringWrite);
           GVDefects.RenderControl(htmlWrite);
            Response.Write(stringWrite.ToString());
            Response.End();
        }
        catch (Exception ex)
        {
            lblMsg.Visible = true;
            lblMsg.Text = ex.Message.ToString();
        }
    }
    protected void btnPdf_Click(object sender, EventArgs e)
    {
        try
        {
            Response.Clear();
            Response.AddHeader("content-disposition", "attachment;filename=DocumentReport.pdf");
            Response.Charset = "";
            Response.Cache.SetCacheability(HttpCacheability.NoCache);
            Response.ContentType = "application/pdf";
            System.IO.StringWriter stringWrite = new System.IO.StringWriter();
            System.Web.UI.HtmlTextWriter htmlWrite = new HtmlTextWriter(stringWrite);
          GVDefects.RenderControl(htmlWrite);
            Response.Write(stringWrite.ToString());
            Response.End(); 
        }
        catch (Exception ex)
        {
            lblMsg.Visible = true;
            lblMsg.Text = ex.Message.ToString();
        }
    }
    public override void VerifyRenderingInServerForm(Control control)
    {

    }
}
