using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class Reports_frmUserReport : System.Web.UI.Page
{
    clsReports objReport = new clsReports();
    protected void Page_Load(object sender, EventArgs e)
    {
        try
        {
            if (!IsPostBack)
            {
                GetUserId();
            }
        }
        catch (Exception ex)
        {
            lblMsg.Visible = true;
            lblMsg.Text = ex.Message.ToString();
        }
    }
    public void ReportForUsers()
    {
        if (ddlUserName.SelectedItem.Text != "Select")
        {
            objReport.UserId = Convert.ToInt32(ddlUserName.SelectedItem.Text);
            DataSet dsUsers = objReport.ReportForUsers();
            if (dsUsers.Tables[0].Rows.Count > 0)
            {
                btnExcelFormat.Visible = true;
                btnPdfFormat.Visible = true;
                btnPrint.Visible = true;   
                GVManageUsers.DataSource = dsUsers.Tables[0];
                GVManageUsers.DataBind();
            }

        }
        else
        {
            GVManageUsers.Visible =false;   
            btnExcelFormat.Visible =false ;
            btnPdfFormat.Visible =false ;
            btnPrint.Visible =false; 
            Page.RegisterClientScriptBlock("Dhanush", "<script>alert('Select UserId')</script>");  
        }
        
    }
    public void GetUserId()
    {
        DataSet dsUserId = objReport.GetUserId();
        if (dsUserId.Tables[0].Rows.Count > 0)
        {
            ddlUserName.DataTextField = "UserAccountId";
            ddlUserName.DataValueField = "UserAccountId";
            ddlUserName.DataSource = dsUserId.Tables[0];
            ddlUserName.DataBind();
            ddlUserName.Items.Insert(0, "Select");
        }
    }
    protected void ddlUserName_SelectedIndexChanged(object sender, EventArgs e)
    {
        try
        {
             
            ReportForUsers();
        }
        catch (Exception ex)
        {
            lblMsg.Visible = true;
            lblMsg.Text = ex.Message.ToString();
        }
    }
    protected void btnExcelFormat_Click(object sender, EventArgs e)
    {
        try
        {
            Response.Clear();
            Response.AddHeader("content-disposition", "attachment;filename=DocumentReport.xls");
            Response.Charset = "";
            Response.Cache.SetCacheability(HttpCacheability.NoCache);
            Response.ContentType = "application/vnd.ms-excel";
            System.IO.StringWriter stringWrite = new System.IO.StringWriter();
            System.Web.UI.HtmlTextWriter htmlWrite = new HtmlTextWriter(stringWrite);
            GVManageUsers.RenderControl(htmlWrite);
            Response.Write(stringWrite.ToString());
            Response.End();
        }
        catch (Exception ex)
        {
            lblMsg.Visible = true;
            lblMsg.Text = ex.Message.ToString();
        }
    }
    protected void btnPdfFormat_Click(object sender, EventArgs e)
    {
        try
        {
            Response.Clear();
            Response.AddHeader("content-disposition", "attachment;filename=DocumentReport.pdf");
            Response.Charset = "";
            Response.Cache.SetCacheability(HttpCacheability.NoCache);
            Response.ContentType = "application/pdf";
            System.IO.StringWriter stringWrite = new System.IO.StringWriter();
            System.Web.UI.HtmlTextWriter htmlWrite = new HtmlTextWriter(stringWrite);
            GVManageUsers .RenderControl(htmlWrite);
            Response.Write(stringWrite.ToString());
            Response.End();
        }
        catch (Exception ex)
        {
            lblMsg.Visible = true;
            lblMsg.Text = ex.Message.ToString();
        }
    }
    public override void VerifyRenderingInServerForm(Control control)
    {

    }
}
